package common

import (
	"git.listensoft.net/tool/jspkit/common/lxhttp"
	"git.listensoft.net/tool/jspkit/common/variable"
	"git.listensoft.net/tool/jspkit/logger"
)

// 手机号锁 time 锁定多长时间 传-1解锁
func AddTelLockerX2(tel string, secend string) {
	c := lxhttp.NewHttpClient()
	bytes, _ := lxhttp.Get(c, variable.TaxTaskURL+"/api/v1/saveTelLock?tel="+tel+"&time="+secend)
	logger.Info("TelLock: " + string(bytes) + secend + "s")
}
func AddTelLockerX2Req(tel string, secend string, reqs string) {
	c := lxhttp.NewHttpClient()
	uri := variable.TaxTaskURL + "/api/v1/saveTelLock?tel=" + tel + "&time=" + secend
	if reqs != "" {
		uri += "&reqNos=" + reqs
	}
	bytes, _ := lxhttp.Get(c, uri)
	logger.Info(tel + " TelLock: " + string(bytes) + " " + secend + "s")
}
